﻿<#	
	.NOTES
	===========================================================================
	 Created with: 	SAPIEN Technologies, Inc., PowerShell Studio 2022 v5.8.202
	 Created on:   	12.06.2024 11:30
	 Created by:   	thinder
	 Organization: 	GWDG
	 Filename:     	
	===========================================================================
	.DESCRIPTION
		Findet und ermittelt Domains/FQDNs an einem ACME-Account anhand der ID.
#>

$cred = Get-Credential
$acmeId = Read-Host "ACME account Id"
$position = Read-Host "Position"
$name = Read-Host "Domain/FQDN name"
$size = Read-Host "How many items to return"
$expiresWithinNextDays = Read-Host "Expires within next days"
$stickyExpiresWithinNextDays = Read-Host "Sticky Expires within next days"
$listACMEaccountDomains_by_IDUrl = "https://cert-manager.com/api/acme/v2/account/" + $acmeId + "/domain?position="+$position+"&size="+$size+"&name="+$name+"&expiresWithinNextDays="+$expiresWithinNextDays+"&stickyExpiresWithinNextDays="+$stickyExpiresWithinNextDays

$headers = @{
	'login' = $cred.UserName
	'password' = ConvertFrom-SecureString -SecureString $cred.Password -AsPlainText
	'customerUri' = 'DFN'
	'Accept' = 'application/json;charset=UTF-8'
}

Invoke-RestMethod -Uri $listACMEaccountDomains_by_IDUrl -Method Get -Headers $headers



# SIG # Begin signature block
# MIIwcQYJKoZIhvcNAQcCoIIwYjCCMF4CAQExDzANBglghkgBZQMEAgEFADB5Bgor
# BgEEAYI3AgEEoGswaTA0BgorBgEEAYI3AgEeMCYCAwEAAAQQH8w7YFlLCE63JNLG
# KX7zUQIBAAIBAAIBAAIBAAIBADAxMA0GCWCGSAFlAwQCAQUABCBrvpwS9/XSnSMr
# mmsoqh4IXIVRonOZKJrJ7+Us1TfZG6CCKXMwggQyMIIDGqADAgECAgEBMA0GCSqG
# SIb3DQEBBQUAMHsxCzAJBgNVBAYTAkdCMRswGQYDVQQIDBJHcmVhdGVyIE1hbmNo
# ZXN0ZXIxEDAOBgNVBAcMB1NhbGZvcmQxGjAYBgNVBAoMEUNvbW9kbyBDQSBMaW1p
# dGVkMSEwHwYDVQQDDBhBQUEgQ2VydGlmaWNhdGUgU2VydmljZXMwHhcNMDQwMTAx
# MDAwMDAwWhcNMjgxMjMxMjM1OTU5WjB7MQswCQYDVQQGEwJHQjEbMBkGA1UECAwS
# R3JlYXRlciBNYW5jaGVzdGVyMRAwDgYDVQQHDAdTYWxmb3JkMRowGAYDVQQKDBFD
# b21vZG8gQ0EgTGltaXRlZDEhMB8GA1UEAwwYQUFBIENlcnRpZmljYXRlIFNlcnZp
# Y2VzMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAvkCd9G7h6naHHE1F
# RI6+RsiDBp3BKv4YH47kAvrzq11QihYxC5oG0MVwIs1JLVRjzLZuaEYLU+rLTCTA
# vHJO6vEVrvRUmhIKw3qyM2Di2olV8yJY897cz++DhqKMlE+faPKYkEaEJ8d2v+PM
# NSyLXgdkZYLASLCokflhn3YgUKiRx2a163hiA1bwihoT6jGjHqCZ/Tj29icyWG8H
# 9Wu4+xQrr7eqzNZjX3OM2gWZqDioyxd4NlGs6Z70eDqNzw/ZQuKYDKsvnw4B3u+f
# mUnxLd+sdE0bmLVHxeUp0fmQGMdinL6DxyZ7Poolx8DdneY1aBAgnY/Y3tLDhJwN
# XugvyQIDAQABo4HAMIG9MB0GA1UdDgQWBBSgEQojPpbxB+zirynvgqV/0DCktDAO
# BgNVHQ8BAf8EBAMCAQYwDwYDVR0TAQH/BAUwAwEB/zB7BgNVHR8EdDByMDigNqA0
# hjJodHRwOi8vY3JsLmNvbW9kb2NhLmNvbS9BQUFDZXJ0aWZpY2F0ZVNlcnZpY2Vz
# LmNybDA2oDSgMoYwaHR0cDovL2NybC5jb21vZG8ubmV0L0FBQUNlcnRpZmljYXRl
# U2VydmljZXMuY3JsMA0GCSqGSIb3DQEBBQUAA4IBAQAIVvwC8Jvo/6T61nvGRIDO
# T8TF9gBYzKa2vBRJaAR26ObuXewCD2DWjVAYTyZOAePmsKXuv7x0VEG//fwSuMdP
# WvSJYAV/YLcFSvP28cK/xLl0hrYtfWvM0vNG3S/G4GrDwzQDLH2W3VrCDqcKmcEF
# i6sML/NcOs9sN1UJh95TQGxY7/y2q2VuBPYb3DzgWhXGntnxWUgwIWUDbOzpIXPs
# mwOh4DetoBUYj/q6As6nLKkQEyzU5QgmqyKXYPiQXnTUoppTvfKpaOCibsLXbLGj
# D56/62jnVvKu8uMrODoJgbVrhde+Le0/GreyY+L1YiyC1GoAQVDxOYOflek2lphu
# MIIFbzCCBFegAwIBAgIQSPyTtGBVlI02p8mKidaUFjANBgkqhkiG9w0BAQwFADB7
# MQswCQYDVQQGEwJHQjEbMBkGA1UECAwSR3JlYXRlciBNYW5jaGVzdGVyMRAwDgYD
# VQQHDAdTYWxmb3JkMRowGAYDVQQKDBFDb21vZG8gQ0EgTGltaXRlZDEhMB8GA1UE
# AwwYQUFBIENlcnRpZmljYXRlIFNlcnZpY2VzMB4XDTIxMDUyNTAwMDAwMFoXDTI4
# MTIzMTIzNTk1OVowVjELMAkGA1UEBhMCR0IxGDAWBgNVBAoTD1NlY3RpZ28gTGlt
# aXRlZDEtMCsGA1UEAxMkU2VjdGlnbyBQdWJsaWMgQ29kZSBTaWduaW5nIFJvb3Qg
# UjQ2MIICIjANBgkqhkiG9w0BAQEFAAOCAg8AMIICCgKCAgEAjeeUEiIEJHQu/xYj
# ApKKtq42haxH1CORKz7cfeIxoFFvrISR41KKteKW3tCHYySJiv/vEpM7fbu2ir29
# BX8nm2tl06UMabG8STma8W1uquSggyfamg0rUOlLW7O4ZDakfko9qXGrYbNzszwL
# DO/bM1flvjQ345cbXf0fEj2CA3bm+z9m0pQxafptszSswXp43JJQ8mTHqi0Eq8Nq
# 6uAvp6fcbtfo/9ohq0C/ue4NnsbZnpnvxt4fqQx2sycgoda6/YDnAdLv64IplXCN
# /7sVz/7RDzaiLk8ykHRGa0c1E3cFM09jLrgt4b9lpwRrGNhx+swI8m2JmRCxrds+
# LOSqGLDGBwF1Z95t6WNjHjZ/aYm+qkU+blpfj6Fby50whjDoA7NAxg0POM1nqFOI
# +rgwZfpvx+cdsYN0aT6sxGg7seZnM5q2COCABUhA7vaCZEao9XOwBpXybGWfv1Vb
# HJxXGsd4RnxwqpQbghesh+m2yQ6BHEDWFhcp/FycGCvqRfXvvdVnTyheBe6QTHrn
# xvTQ/PrNPjJGEyA2igTqt6oHRpwNkzoJZplYXCmjuQymMDg80EY2NXycuu7D1fkK
# dvp+BRtAypI16dV60bV/AK6pkKrFfwGcELEW/MxuGNxvYv6mUKe4e7idFT/+IAx1
# yCJaE5UZkADpGtXChvHjjuxf9OUCAwEAAaOCARIwggEOMB8GA1UdIwQYMBaAFKAR
# CiM+lvEH7OKvKe+CpX/QMKS0MB0GA1UdDgQWBBQy65Ka/zWWSC8oQEJwIDaRXBeF
# 5jAOBgNVHQ8BAf8EBAMCAYYwDwYDVR0TAQH/BAUwAwEB/zATBgNVHSUEDDAKBggr
# BgEFBQcDAzAbBgNVHSAEFDASMAYGBFUdIAAwCAYGZ4EMAQQBMEMGA1UdHwQ8MDow
# OKA2oDSGMmh0dHA6Ly9jcmwuY29tb2RvY2EuY29tL0FBQUNlcnRpZmljYXRlU2Vy
# dmljZXMuY3JsMDQGCCsGAQUFBwEBBCgwJjAkBggrBgEFBQcwAYYYaHR0cDovL29j
# c3AuY29tb2RvY2EuY29tMA0GCSqGSIb3DQEBDAUAA4IBAQASv6Hvi3SamES4aUa1
# qyQKDKSKZ7g6gb9Fin1SB6iNH04hhTmja14tIIa/ELiueTtTzbT72ES+BtlcY2fU
# QBaHRIZyKtYyFfUSg8L54V0RQGf2QidyxSPiAjgaTCDi2wH3zUZPJqJ8ZsBRNraJ
# AlTH/Fj7bADu/pimLpWhDFMpH2/YGaZPnvesCepdgsaLr4CnvYFIUoQx2jLsFeSm
# TD1sOXPUC4U5IOCFGmjhp0g4qdE2JXfBjRkWxYhMZn0vY86Y6GnfrDyoXZ3JHFuu
# 2PMvdM+4fvbXg50RlmKarkUT2n/cR/vfw1Kf5gZV6Z2M8jpiUbzsJA8p1FiAhORF
# e1rYMIIFgzCCA2ugAwIBAgIORea7A4Mzw4VlSOb/RVEwDQYJKoZIhvcNAQEMBQAw
# TDEgMB4GA1UECxMXR2xvYmFsU2lnbiBSb290IENBIC0gUjYxEzARBgNVBAoTCkds
# b2JhbFNpZ24xEzARBgNVBAMTCkdsb2JhbFNpZ24wHhcNMTQxMjEwMDAwMDAwWhcN
# MzQxMjEwMDAwMDAwWjBMMSAwHgYDVQQLExdHbG9iYWxTaWduIFJvb3QgQ0EgLSBS
# NjETMBEGA1UEChMKR2xvYmFsU2lnbjETMBEGA1UEAxMKR2xvYmFsU2lnbjCCAiIw
# DQYJKoZIhvcNAQEBBQADggIPADCCAgoCggIBAJUH6HPKZvnsFMp7PPcNCPG0RQss
# grRIxutbPK6DuEGSMxSkb3/pKszGsIhrxbaJ0cay/xTOURQh7ErdG1rG1ofuTToV
# Bu1kZguSgMpE3nOUTvOniX9PeGMIyBJQbUJmL025eShNUhqKGoC3GYEOfsSKvGRM
# IRxDaNc9PIrFsmbVkJq3MQbFvuJtMgamHvm566qjuL++gmNQ0PAYid/kD3n16qIf
# KtJwLnvnvJO7bVPiSHyMEAc4/2ayd2F+4OqMPKq0pPbzlUoSB239jLKJz9CgYXfI
# WHSw1CM69106yqLbnQneXUQtkPGBzVeS+n68UARjNN9rkxi+azayOeSsJDa38O+2
# HBNXk7besvjihbdzorg1qkXy4J02oW9UivFyVm4uiMVRQkQVlO6jxTiWm05OWgtH
# 8wY2SXcwvHE35absIQh1/OZhFj931dmRl4QKbNQCTXTAFO39OfuD8l4UoQSwC+n+
# 7o/hbguyCLNhZglqsQY6ZZZZwPA1/cnaKI0aEYdwgQqomnUdnjqGBQCe24DWJfnc
# BZ4nWUx2OVvq+aWh2IMP0f/fMBH5hc8zSPXKbWQULHpYT9NLCEnFlWQaYw55PfWz
# jMpYrZxCRXluDocZXFSxZba/jJvcE+kNb7gu3GduyYsRtYQUigAZcIN5kZeR1Bon
# vzceMgfYFGM8KEyvAgMBAAGjYzBhMA4GA1UdDwEB/wQEAwIBBjAPBgNVHRMBAf8E
# BTADAQH/MB0GA1UdDgQWBBSubAWjkxPioufi1xzWx/B/yGdToDAfBgNVHSMEGDAW
# gBSubAWjkxPioufi1xzWx/B/yGdToDANBgkqhkiG9w0BAQwFAAOCAgEAgyXt6NH9
# lVLNnsAEoJFp5lzQhN7craJP6Ed41mWYqVuoPId8AorRbrcWc+ZfwFSY1XS+wc3i
# EZGtIxg93eFyRJa0lV7Ae46ZeBZDE1ZXs6KzO7V33EByrKPrmzU+sQghoefEQzd5
# Mr6155wsTLxDKZmOMNOsIeDjHfrYBzN2VAAiKrlNIC5waNrlU/yDXNOd8v9EDERm
# 8tLjvUYAGm0CuiVdjaExUd1URhxN25mW7xocBFymFe944Hn+Xds+qkxV/ZoVqW/h
# pvvfcDDpw+5CRu3CkwWJ+n1jez/QcYF8AOiYrg54NMMl+68KnyBr3TsTjxKM4kEa
# SHpzoHdpx7Zcf4LIHv5YGygrqGytXm3ABdJ7t+uA/iU3/gKbaKxCXcPu9czc8FB1
# 0jZpnOZ7BN9uBmm23goJSFmH63sUYHpkqmlD75HHTOwY3WzvUy2MmeFe8nI+z1TI
# vWfspA9MRf/TuTAjB0yPEL+GltmZWrSZVxykzLsViVO6LAUP5MSeGbEYNNVMnbrt
# 9x+vJJUEeKgDu+6B5dpffItKoZB0JaezPkvILFa9x8jvOOJckvB595yEunQtYQEg
# fn7R8k8HWV+LLUNS60YMlOH1Zkd5d9VUWx+tJDfLRVpOoERIyNiwmcUVhAn21klJ
# wGW45hpxbqCo8YLoRT5s1gLXCmeDBVrJpBAwggYcMIIEBKADAgECAhAz1wiokUBT
# GeKlu9M5ua1uMA0GCSqGSIb3DQEBDAUAMFYxCzAJBgNVBAYTAkdCMRgwFgYDVQQK
# Ew9TZWN0aWdvIExpbWl0ZWQxLTArBgNVBAMTJFNlY3RpZ28gUHVibGljIENvZGUg
# U2lnbmluZyBSb290IFI0NjAeFw0yMTAzMjIwMDAwMDBaFw0zNjAzMjEyMzU5NTla
# MFcxCzAJBgNVBAYTAkdCMRgwFgYDVQQKEw9TZWN0aWdvIExpbWl0ZWQxLjAsBgNV
# BAMTJVNlY3RpZ28gUHVibGljIENvZGUgU2lnbmluZyBDQSBFViBSMzYwggGiMA0G
# CSqGSIb3DQEBAQUAA4IBjwAwggGKAoIBgQC70f4et0JbePWQp64sg/GNIdMwhoV7
# 39PN2RZLrIXFuwHP4owoEXIEdiyBxasSekBKxRDogRQ5G19PB/YwMDB/NSXlwHM9
# QAmU6Kj46zkLVdW2DIseJ/jePiLBv+9l7nPuZd0o3bsffZsyf7eZVReqskmoPBBq
# OsMhspmoQ9c7gqgZYbU+alpduLyeE9AKnvVbj2k4aOqlH1vKI+4L7bzQHkNDbrBT
# jMJzKkQxbr6PuMYC9ruCBBV5DFIg6JgncWHvL+T4AvszWbX0w1Xn3/YIIq620QlZ
# 7AGfc4m3Q0/V8tm9VlkJ3bcX9sR0gLqHRqwG29sEDdVOuu6MCTQZlRvmcBMEJd+P
# uNeEM4xspgzraLqVT3xE6NRpjSV5wyHxNXf4T7YSVZXQVugYAtXueciGoWnxG06U
# E2oHYvDQa5mll1CeHDOhHu5hiwVoHI717iaQg9b+cYWnmvINFD42tRKtd3V6zOdG
# NmqQU8vGlHHeBzoh+dYyZ+CcblSGoGSgg8sCAwEAAaOCAWMwggFfMB8GA1UdIwQY
# MBaAFDLrkpr/NZZILyhAQnAgNpFcF4XmMB0GA1UdDgQWBBSBMpJBKyjNRsjEosYq
# ORLsSKk/FDAOBgNVHQ8BAf8EBAMCAYYwEgYDVR0TAQH/BAgwBgEB/wIBADATBgNV
# HSUEDDAKBggrBgEFBQcDAzAaBgNVHSAEEzARMAYGBFUdIAAwBwYFZ4EMAQMwSwYD
# VR0fBEQwQjBAoD6gPIY6aHR0cDovL2NybC5zZWN0aWdvLmNvbS9TZWN0aWdvUHVi
# bGljQ29kZVNpZ25pbmdSb290UjQ2LmNybDB7BggrBgEFBQcBAQRvMG0wRgYIKwYB
# BQUHMAKGOmh0dHA6Ly9jcnQuc2VjdGlnby5jb20vU2VjdGlnb1B1YmxpY0NvZGVT
# aWduaW5nUm9vdFI0Ni5wN2MwIwYIKwYBBQUHMAGGF2h0dHA6Ly9vY3NwLnNlY3Rp
# Z28uY29tMA0GCSqGSIb3DQEBDAUAA4ICAQBfNqz7+fZyWhS38Asd3tj9lwHS/QHu
# mS2G6Pa38Dn/1oFKWqdCSgotFZ3mlP3FaUqy10vxFhJM9r6QZmWLLXTUqwj3ahED
# CHd8vmnhsNufJIkD1t5cpOCy1rTP4zjVuW3MJ9bOZBHoEHJ20/ng6SyJ6UnTs5eW
# Bgrh9grIQZqRXYHYNneYyoBBl6j4kT9jn6rNVFRLgOr1F2bTlHH9nv1HMePpGoYd
# 074g0j+xUl+yk72MlQmYco+VAfSYQ6VK+xQmqp02v3Kw/Ny9hA3s7TSoXpUrOBZj
# BXXZ9jEuFWvilLIq0nQ1tZiao/74Ky+2F0snbFrmuXZe2obdq2TWauqDGIgbMYL1
# iLOUJcAhLwhpAuNMu0wqETDrgXkG4UGVKtQg9guT5Hx2DJ0dJmtfhAH2KpnNr97H
# 8OQYok6bLyoMZqaSdSa+2UA1E2+upjcaeuitHFFjBypWBmztfhj24+xkc6ZtCDaL
# rw+ZrnVrFyvCTWrDUUZBVumPwo3/E3Gb2u2e05+r5UWmEsUUWlJBl6MGAAjF5hzq
# J4I8O9vmRsTvLQA1E802fZ3lqicIBczOwDYOSxlP0GOabb/FKVMxItt1UHeG0PL4
# au5rBhs+hSMrl8h+eplBDN1Yfw6owxI9OjWb4J0sjBeBVESoeh2YnZZ/WVimVGX/
# UUIL+Efrz/jlvzCCBlkwggRBoAMCAQICDQHsHJJA3v0uQF18R3QwDQYJKoZIhvcN
# AQEMBQAwTDEgMB4GA1UECxMXR2xvYmFsU2lnbiBSb290IENBIC0gUjYxEzARBgNV
# BAoTCkdsb2JhbFNpZ24xEzARBgNVBAMTCkdsb2JhbFNpZ24wHhcNMTgwNjIwMDAw
# MDAwWhcNMzQxMjEwMDAwMDAwWjBbMQswCQYDVQQGEwJCRTEZMBcGA1UEChMQR2xv
# YmFsU2lnbiBudi1zYTExMC8GA1UEAxMoR2xvYmFsU2lnbiBUaW1lc3RhbXBpbmcg
# Q0EgLSBTSEEzODQgLSBHNDCCAiIwDQYJKoZIhvcNAQEBBQADggIPADCCAgoCggIB
# APAC4jAj+uAb4Zp0s691g1+pR1LHYTpjfDkjeW10/DHkdBIZlvrOJ2JbrgeKJ+5X
# o8Q17bM0x6zDDOuAZm3RKErBLLu5cPJyroz3mVpddq6/RKh8QSSOj7rFT/82Qaun
# Lf14TkOI/pMZF9nuMc+8ijtuasSI8O6X9tzzGKBLmRwOh6cm4YjJoOWZ4p70nEw/
# XVvstu/SZc9FC1Q9sVRTB4uZbrhUmYqoMZI78np9/A5Y34Fq4bBsHmWCKtQhx5T+
# QpY78Quxf39GmA6HPXpl69FWqS69+1g9tYX6U5lNW3TtckuiDYI3GQzQq+pawe8P
# 1Zm5P/RPNfGcD9M3E1LZJTTtlu/4Z+oIvo9Jev+QsdT3KRXX+Q1d1odDHnTEcCi0
# gHu9Kpu7hOEOrG8NubX2bVb+ih0JPiQOZybH/LINoJSwspTMe+Zn/qZYstTYQRLB
# Vf1ukcW7sUwIS57UQgZvGxjVNupkrs799QXm4mbQDgUhrLERBiMZ5PsFNETqCK6d
# SWcRi4LlrVqGp2b9MwMB3pkl+XFu6ZxdAkxgPM8CjwH9cu6S8acS3kISTeypJuV3
# AqwOVwwJ0WGeJoj8yLJN22TwRZ+6wT9Uo9h2ApVsao3KIlz2DATjKfpLsBzTN3SE
# 2R1mqzRzjx59fF6W1j0ZsJfqjFCRba9Xhn4QNx1rGhTfAgMBAAGjggEpMIIBJTAO
# BgNVHQ8BAf8EBAMCAYYwEgYDVR0TAQH/BAgwBgEB/wIBADAdBgNVHQ4EFgQU6hbG
# aefjy1dFOTOk8EC+0MO9ZZYwHwYDVR0jBBgwFoAUrmwFo5MT4qLn4tcc1sfwf8hn
# U6AwPgYIKwYBBQUHAQEEMjAwMC4GCCsGAQUFBzABhiJodHRwOi8vb2NzcDIuZ2xv
# YmFsc2lnbi5jb20vcm9vdHI2MDYGA1UdHwQvMC0wK6ApoCeGJWh0dHA6Ly9jcmwu
# Z2xvYmFsc2lnbi5jb20vcm9vdC1yNi5jcmwwRwYDVR0gBEAwPjA8BgRVHSAAMDQw
# MgYIKwYBBQUHAgEWJmh0dHBzOi8vd3d3Lmdsb2JhbHNpZ24uY29tL3JlcG9zaXRv
# cnkvMA0GCSqGSIb3DQEBDAUAA4ICAQB/4ojZV2crQl+BpwkLusS7KBhW1ky/2xsH
# cMb7CwmtADpgMx85xhZrGUBJJQge5Jv31qQNjx6W8oaiF95Bv0/hvKvN7sAjjMaF
# /ksVJPkYROwfwqSs0LLP7MJWZR29f/begsi3n2HTtUZImJcCZ3oWlUrbYsbQswLM
# NEhFVd3s6UqfXhTtchBxdnDSD5bz6jdXlJEYr9yNmTgZWMKpoX6ibhUm6rT5fyrn
# 50hkaS/SmqFy9vckS3RafXKGNbMCVx+LnPy7rEze+t5TTIP9ErG2SVVPdZ2sb0rI
# Lmq5yojDEjBOsghzn16h1pnO6X1LlizMFmsYzeRZN4YJLOJF1rLNboJ1pdqNHrdb
# L4guPX3x8pEwBZzOe3ygxayvUQbwEccdMMVRVmDofJU9IuPVCiRTJ5eA+kiJJyx5
# 4jzlmx7jqoSCiT7ASvUh/mIQ7R0w/PbM6kgnfIt1Qn9ry/Ola5UfBFg0ContglDk
# 0Xuoyea+SKorVdmNtyUgDhtRoNRjqoPqbHJhSsn6Q8TGV8Wdtjywi7C5HDHvve8U
# 2BRAbCAdwi3oC8aNbYy2ce1SIf4+9p+fORqurNIveiCx9KyqHeItFJ36lmodxjzK
# 89kcv1NNpEdZfJXEQ0H5JeIsEH6B+Q2Up33ytQn12GByQFCVINRDRL76oJXnIFm2
# eMakaqoimzCCBnswggRjoAMCAQICEAEHZJsIsKf+fdZUqPL0KfYwDQYJKoZIhvcN
# AQELBQAwWzELMAkGA1UEBhMCQkUxGTAXBgNVBAoTEEdsb2JhbFNpZ24gbnYtc2Ex
# MTAvBgNVBAMTKEdsb2JhbFNpZ24gVGltZXN0YW1waW5nIENBIC0gU0hBMzg0IC0g
# RzQwHhcNMjMxMTA3MTcxMzQwWhcNMzQxMjA5MTcxMzQwWjBsMQswCQYDVQQGEwJC
# RTEZMBcGA1UECgwQR2xvYmFsU2lnbiBudi1zYTFCMEAGA1UEAww5R2xvYmFsc2ln
# biBUU0EgZm9yIE1TIEF1dGhlbnRpY29kZSBBZHZhbmNlZCAtIEc0IC0gMjAyMzEx
# MIIBojANBgkqhkiG9w0BAQEFAAOCAY8AMIIBigKCAYEAuaibPqmm3ELTQZ+KTUNH
# CfloixP7dY+ZXMqAQmHvjrrhcdZHkK2ZTWMDtu+pJqP7NupuFEf3101EdLIqXp0y
# XwRor7fJz1sLJy8oToLejrWzifrnEUnIJ0Bek28JIcbWX5jzt7qhQHKu3Q/fziFC
# BFQ46soi3QO5GqHgtxyXKHMsII0/ZrJ2mdo6yfZyllJ02H1lbuAib/6vRv1+r07I
# iYEyoZgrj3fnsqPVmp8f0YMgTk3vTDtRe5Ej4YNKom+4BOZkFEsuO3zptf2zbjZE
# QDb1viHm6ND6fveoTkaslLDQKXTisZeqfzjxieJ6t8psBTAYWG99W346kdR8b07/
# 6TF+pYI14S7/CmDqUoVXh3rkKq88ot952+B5j9+R7f8mPXZAS98bS/aCqOqDKK1T
# treW1x0tjO+/fYqelHxTqWQEa3zMFmcZMYKS6fQ6vNSIqL2O7k8Sedj/4JaQUH4B
# Ff/w42xeGvSvQMXlJz1G+DpBOP85SLTcBgH7OwgoaGmpAgMBAAGjggGoMIIBpDAO
# BgNVHQ8BAf8EBAMCB4AwFgYDVR0lAQH/BAwwCgYIKwYBBQUHAwgwHQYDVR0OBBYE
# FPijp+UjdVbRpaU7iW4WcctV1ogJMFYGA1UdIARPME0wCAYGZ4EMAQQCMEEGCSsG
# AQQBoDIBHjA0MDIGCCsGAQUFBwIBFiZodHRwczovL3d3dy5nbG9iYWxzaWduLmNv
# bS9yZXBvc2l0b3J5LzAMBgNVHRMBAf8EAjAAMIGQBggrBgEFBQcBAQSBgzCBgDA5
# BggrBgEFBQcwAYYtaHR0cDovL29jc3AuZ2xvYmFsc2lnbi5jb20vY2EvZ3N0c2Fj
# YXNoYTM4NGc0MEMGCCsGAQUFBzAChjdodHRwOi8vc2VjdXJlLmdsb2JhbHNpZ24u
# Y29tL2NhY2VydC9nc3RzYWNhc2hhMzg0ZzQuY3J0MB8GA1UdIwQYMBaAFOoWxmnn
# 48tXRTkzpPBAvtDDvWWWMEEGA1UdHwQ6MDgwNqA0oDKGMGh0dHA6Ly9jcmwuZ2xv
# YmFsc2lnbi5jb20vY2EvZ3N0c2FjYXNoYTM4NGc0LmNybDANBgkqhkiG9w0BAQsF
# AAOCAgEAcCtZLmsFUrUmVyG1zxDomvCsy3JUaG1VRZmWOVhHG9Bpayhs8JOLpkTL
# eMmrTmLEgh8FkN6sBpY7rqBGDYGG7JBw3LI1LstVLUNHb4t6TkE//rIhnEAx2K2P
# lTcaguvItw6noVwaqsBqSf0PigQHJsLZDs8mA30wRb9sUHoP6SQ2TICk6CJBK2Bm
# vKwLzzLIgH8qRsecwuUfD9ZV+QIMYcW8Yo9doyJh62qYeLBkLwmwDcm4CBxaXgYw
# JF1xg3Y4/UhqmF0/QkhvLIQ2/Ob+ksLScGNBg7X0oAplWtVB9IOoMBvI1ltuQOjD
# zeY34snpVVyLU8Tu4d+707WRirtnc7UI8KhIqw4b4ERwvuIE5xGp4T9QQZoMZgpW
# RcEFQflCFf0EppG1+kwWin5+BZqhh3RU/cenwOaTZ52kHSpcOgS1TtUXHqPije4+
# PAqBT1kx+wX/mBnTmLgG2EibSZPhAsdtsiyK3Ope29Rv/QesHjw2UXfxPiySZPWY
# 8E8rmhDz2l84+kpCyX9go5tJoTMLEM7CT6XTsoBYGSb6QwlKtXXVntivDa8etvtL
# SXj9X7Hqhu166ne60eznhjUJ+Vq7luH2Clf5/db+JBoAUL2eTciRGDfs0ijOD66X
# Rh3CfGDLu5pkrpa1ueXKeuV61nhBJN5myfZQF0Wlf9Mf6h7a7+gwggdDMIIFq6AD
# AgECAhBNmJS/87dsH8/z0j2KrYiQMA0GCSqGSIb3DQEBDAUAMFcxCzAJBgNVBAYT
# AkdCMRgwFgYDVQQKEw9TZWN0aWdvIExpbWl0ZWQxLjAsBgNVBAMTJVNlY3RpZ28g
# UHVibGljIENvZGUgU2lnbmluZyBDQSBFViBSMzYwHhcNMjEwNzA5MDAwMDAwWhcN
# MjQwNzA4MjM1OTU5WjCCARgxEDAOBgNVBAUTB0hSQiA1OTgxEzARBgsrBgEEAYI3
# PAIBAxMCREUxHTAbBgNVBA8TFFByaXZhdGUgT3JnYW5pemF0aW9uMQswCQYDVQQG
# EwJERTEWMBQGA1UECAwNTmllZGVyc2FjaHNlbjETMBEGA1UEBwwKR8O2dHRpbmdl
# bjFKMEgGA1UECgxBR2VzZWxsc2NoYWZ0IEYgd2lzc2Vuc2NoYWZ0bGljaGUgRGF0
# ZW52ZXJhcmJlaXR1bmcgbWJIIEfDtnR0aW5nZW4xSjBIBgNVBAMMQUdlc2VsbHNj
# aGFmdCBGIHdpc3NlbnNjaGFmdGxpY2hlIERhdGVudmVyYXJiZWl0dW5nIG1iSCBH
# w7Z0dGluZ2VuMIICIjANBgkqhkiG9w0BAQEFAAOCAg8AMIICCgKCAgEAw2dwoANA
# ZdDZq+86zShGxOEIwRgJbzuzfoPKmgg2j5noQ8Rg+7KFxYaWVVzOitEIBgMriJv1
# iag6eXwHBIrrozPCWsemaSDeyTB01ViqKwqog6dZ+uAO3626Rmg5jaJWYQ0RDNuU
# fJbIi2rYSP9DLXRLa/SEyJrHhqAOROU5iGwQo1NOCCwUxZzS2nAtqUq0rNmFWhQl
# 0FuwOvFiDKba9og2eFERpY5E0yEiWufnbjF1jN4OnIYeuPZGciZPah5Ix0sAhqgB
# LQpnrzZXZYIozU8iKtRfOADhil025zf1Oyb1E62/C4qiqNYaoeXHQ2eZAqWwfHi9
# 1DYyRVTo1zPT5Vv7qu7h9e7uJRJWEOFDSibIC17TWa9suj1MunlNICGuHgTzFXkG
# JZOgEtVeKzqA5LMkWcc7tO4xHwIqkRYGjnPUNHKRc6ZVhSjqvvA34ylh7XYQYAQa
# dq3vengDkpZx71wHd1rAAkbSLJb487eV6UPfwSpBxSjlMWTYTFuT5N0AuG40I+U8
# mTgT0L/j0VpF5Elrz4nXdvCTzZWxnWZOChx6bFwZz7onXw9q3f5i23PUZw+gKFdD
# 8yhvjcvwwStdCwucO9jci9MgV/zY1gndH7256cWLbb6+OG6YlVfc2tusN6PoBaQn
# DdXT9FRhre8kbrWjim2pTuRA0Z5axGYETFECAwEAAaOCAcYwggHCMB8GA1UdIwQY
# MBaAFIEykkErKM1GyMSixio5EuxIqT8UMB0GA1UdDgQWBBRL6OeIYgNALaoZ1E0c
# S2kFSRYu3jAOBgNVHQ8BAf8EBAMCB4AwDAYDVR0TAQH/BAIwADATBgNVHSUEDDAK
# BggrBgEFBQcDAzARBglghkgBhvhCAQEEBAMCBBAwSQYDVR0gBEIwQDA1BgwrBgEE
# AbIxAQIBBgEwJTAjBggrBgEFBQcCARYXaHR0cHM6Ly9zZWN0aWdvLmNvbS9DUFMw
# BwYFZ4EMAQMwSwYDVR0fBEQwQjBAoD6gPIY6aHR0cDovL2NybC5zZWN0aWdvLmNv
# bS9TZWN0aWdvUHVibGljQ29kZVNpZ25pbmdDQUVWUjM2LmNybDB7BggrBgEFBQcB
# AQRvMG0wRgYIKwYBBQUHMAKGOmh0dHA6Ly9jcnQuc2VjdGlnby5jb20vU2VjdGln
# b1B1YmxpY0NvZGVTaWduaW5nQ0FFVlIzNi5jcnQwIwYIKwYBBQUHMAGGF2h0dHA6
# Ly9vY3NwLnNlY3RpZ28uY29tMCUGA1UdEQQeMBygGgYIKwYBBQUHCAOgDjAMDApE
# RS1IUkIgNTk4MA0GCSqGSIb3DQEBDAUAA4IBgQBd07ce6wfJCvlWXVnpVMiEUwaU
# yVvu+jKuowASCj9eXP96eRhiyzMtLQ+cZ/j4jBFse4/0J4Ffk61amqBp02SMaR2Q
# Htt6GGKDpi1vw1Q8riMAkOG6H5FkC/w77nfPxNKsEOfHGtpY+/X0Ee3maN4o/NNe
# C7p1pSVWN+SHEgNtHk2prFEQae4S9y6wsr8/DtWlevMM+4UdmlYsGWG79jROqo13
# AGX8pYZttk9ZFElVrpIUBUkolvjSPB3OO83Kb8NNY3RLrLH930ExtSaTpbz2KzkN
# 3uo23gDx1FA1V4oeVp9yaE8p2MbtzDXvvqjQ59GjSyBzsRdW3oIyXGBKpa0SvE3n
# BF1LGKV461T/CaAwbunw5TXMZ1QLYCR5GVncxhtKC1qFS4JcVUn/0Jhqxxes11hC
# YekJzSn7DHlNAMRcDiTOi0umUk+nl+Kzez17NnaIbX2Tt0TUdyeRXTptdoFqeEnh
# dpueoeOw/ai1wA4wtbEnnfuo9ghHTZV/GpEHv/4xggZUMIIGUAIBATBrMFcxCzAJ
# BgNVBAYTAkdCMRgwFgYDVQQKEw9TZWN0aWdvIExpbWl0ZWQxLjAsBgNVBAMTJVNl
# Y3RpZ28gUHVibGljIENvZGUgU2lnbmluZyBDQSBFViBSMzYCEE2YlL/zt2wfz/PS
# PYqtiJAwDQYJYIZIAWUDBAIBBQCgTDAZBgkqhkiG9w0BCQMxDAYKKwYBBAGCNwIB
# BDAvBgkqhkiG9w0BCQQxIgQgcXrFqx8h1B/O3ADiqZrGXHdPztOFfOucjyQtwlM9
# PukwDQYJKoZIhvcNAQEBBQAEggIAKJFdBszKM6q9Xmx9k7U4SWa5L09eu/pRwXks
# pGOYDMobeDX9wSVe2Is/4AJsB9M/hpk3zrXClehK0Hp/9ZYU/6kHkdDeF1vt7jnd
# HGZ7CKzlAzHXUUwHsOI5SSsbH77tim4RhHeTO4zmBOYQ2L+IYP7GosG9RvyCSfS1
# zdI/f4QGh1LWE+pvaIBlmTfmIGYDBzFzW7Gl5Xo1c6elDDxYd1QBfHDKbFXEKg3v
# IPYzG/LHIUapP+EbijFxPPMsK2S8Nybq4CL1JhlXHAGTjU2hbvFI8kiR1aiWYjUG
# l4xEeflLfp+XTjL8zxq4V5FJ0ug2OUCseFQBBuoUO7JNFLRze7FDcywYNgz1VCQy
# iBOYgBXJtIsheS1Vlyz2NfFVREJ+bLKBjrBLxn/8Mfq4/KTa/11SaBFeLMZd8rSj
# GTdidFHox85EK2W7QKKTQ/lXKcEwEbtfn0mJRPOT3viMLak3n0w+Mh1QtnLqGpUv
# ujhd0L/kg5PrrDvi9Pn3Q05rNy9hJ6Hysht4f5i4/z+LsqzYsHtmtBF6b5zbvibV
# Y7sA+pY+kDSpgIGNrFuuSgMX95xSjFNxrmRDBD/ZQAx2rpECA6nTrfUL82detb0e
# qt1ag4+1I/fjWZGuja5DmFAhvr503XrYvvaKB9Xw0h2780aoed2m3Qp1g6Bfe0ZR
# rVqLrPyhggNsMIIDaAYJKoZIhvcNAQkGMYIDWTCCA1UCAQEwbzBbMQswCQYDVQQG
# EwJCRTEZMBcGA1UEChMQR2xvYmFsU2lnbiBudi1zYTExMC8GA1UEAxMoR2xvYmFs
# U2lnbiBUaW1lc3RhbXBpbmcgQ0EgLSBTSEEzODQgLSBHNAIQAQdkmwiwp/591lSo
# 8vQp9jALBglghkgBZQMEAgGgggE9MBgGCSqGSIb3DQEJAzELBgkqhkiG9w0BBwEw
# HAYJKoZIhvcNAQkFMQ8XDTI0MDYxMjExNDU1NVowKwYJKoZIhvcNAQk0MR4wHDAL
# BglghkgBZQMEAgGhDQYJKoZIhvcNAQELBQAwLwYJKoZIhvcNAQkEMSIEIFh6NvPh
# GSleX6b/8Gx4G9aGAZdvPRq7oqJu+pkJXsEtMIGkBgsqhkiG9w0BCRACDDGBlDCB
# kTCBjjCBiwQURNOTnM0biH+GeszageyvD2X80lkwczBfpF0wWzELMAkGA1UEBhMC
# QkUxGTAXBgNVBAoTEEdsb2JhbFNpZ24gbnYtc2ExMTAvBgNVBAMTKEdsb2JhbFNp
# Z24gVGltZXN0YW1waW5nIENBIC0gU0hBMzg0IC0gRzQCEAEHZJsIsKf+fdZUqPL0
# KfYwDQYJKoZIhvcNAQELBQAEggGAq8BgLT/HmXfQmybl/XgqrzAYZzGNGgMxc8iU
# XD5mWmsRxx/NLzWLaVR2ItxetX3tkCpVssjqduhZiYw2QUccucqmNCriHl+Th1oJ
# z6vB59wznt7Avt4LnC23VtQWyBi0lRrQYRzySA4lHEqpZRVn1+njgTUKj4pGz2HQ
# e5o2h/f9aaAp0SxKC1NunJpBkx5assbkIx3KFbaBiIloLDl7rebgPumv+2Y7qT/v
# 4RINyrIAAbCXhuqp+BtVjb/glpbHBlZS3kDm4shvBWm3CbTO9/a0SzV5vlbHS4X4
# vhB9n/J85bKNRRUq16t6PI5mXUbNRE88hWU5N5jDpjEy1S+DvmY3rxkbGIeY7s7B
# /nyLi0cIxoQ9hYpgD0/Mb5sMR9HH2lpXeRdN5X2KTqHFDV9dBmmnGzNwLU6kuXa3
# H5XodjDcuPA62AWRwGTIHihFcnungUdtNmHVov8AUplAUka3z27QvSC6oirjrD2Q
# qlYLspt/w31/ngu/EjBhK8CPZAhi
# SIG # End signature block
